net.minecraft.server.management

## Class ServerConfigurationManager

- java.lang.Object
- - net.minecraft.server.management.ServerConfigurationManager

- Direct Known Subclasses:
    DedicatedPlayerList, IntegratedPlayerList

      public abstract class ServerConfigurationManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `maxPlayers`
    `java.util.List` | `playerEntityList`
    `protected int` | `viewDistance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerConfigurationManager(MinecraftServer par1MinecraftServer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addOp(java.lang.String par1Str)`
    `void` | `addToWhiteList(java.lang.String par1Str)`
    `java.lang.String` | `allowUserToConnect(java.net.SocketAddress p_148542_1_, com.mojang.authlib.GameProfile p_148542_2_)`
    `EntityPlayerMP` | `createPlayerForUser(com.mojang.authlib.GameProfile p_148545_1_)`
    `java.util.List` | `findPlayers(ChunkCoordinates par1ChunkCoordinates, int par2, int par3, int par4, int par5, int par6, int par7, java.util.Map par8Map, java.lang.String par9Str, java.lang.String par10Str, World par11World)`
    `StatisticsFile` | `func_148538_i(java.lang.String p_148538_1_)`
    `void` | `func_72375_a(EntityPlayerMP par1EntityPlayerMP, WorldServer par2WorldServer)`
    `protected void` | `func_96456_a(ServerScoreboard par1ServerScoreboard, EntityPlayerMP par2EntityPlayerMP)`
    `java.lang.String[]` | `getAllUsernames()`
    `java.lang.String[]` | `getAvailablePlayerDat()`
    `BanList` | `getBannedIPs()`
    `BanList` | `getBannedPlayers()`
    `int` | `getCurrentPlayerCount()`
    `int` | `getEntityViewDistance()`
    `NBTTagCompound` | `getHostPlayerData()`
    `int` | `getMaxPlayers()`
    `java.util.Set` | `getOps()`
    `EntityPlayerMP` | `getPlayerForUsername(java.lang.String par1Str)`
    `java.util.List` | `getPlayerList(java.lang.String par1Str)`
    `java.lang.String` | `getPlayerListAsString()`
    `MinecraftServer` | `getServerInstance()`
    `int` | `getViewDistance()`
    `java.util.Set` | `getWhiteListedPlayers()`
    `void` | `initializeConnectionToPlayer(NetworkManager par1INetworkManager, EntityPlayerMP par2EntityPlayerMP, NetHandlerPlayServer nethandlerplayserver)`
    `boolean` | `isAllowedToLogin(java.lang.String par1Str)`
    `boolean` | `isPlayerOpped(java.lang.String par1Str)`
    `boolean` | `isWhiteListEnabled()`
    `void` | `loadWhiteList()`
    `void` | `playerLoggedIn(EntityPlayerMP par1EntityPlayerMP)`
    `void` | `playerLoggedOut(EntityPlayerMP par1EntityPlayerMP)`
    `NBTTagCompound` | `readPlayerDataFromFile(EntityPlayerMP par1EntityPlayerMP)`
    `void` | `removeAllPlayers()`
    `void` | `removeFromWhitelist(java.lang.String par1Str)`
    `void` | `removeOp(java.lang.String par1Str)`
    `EntityPlayerMP` | `respawnPlayer(EntityPlayerMP par1EntityPlayerMP, int par2, boolean par3)`
    `void` | `saveAllPlayerData()`
    `void` | `sendChatMsg(IChatComponent p_148539_1_)`
    `void` | `sendChatMsgImpl(IChatComponent p_148544_1_, boolean p_148544_2_)`
    `void` | `sendPacketToAllPlayers(Packet p_148540_1_)`
    `void` | `sendPacketToAllPlayersInDimension(Packet p_148537_1_, int p_148537_2_)`
    `void` | `sendPlayerInfoToAllPlayers()`
    `void` | `sendToAllNear(double p_148541_1_, double p_148541_3_, double p_148541_5_, double p_148541_7_, int p_148541_9_, Packet p_148541_10_)`
    `void` | `sendToAllNearExcept(EntityPlayer p_148543_1_, double p_148543_2_, double p_148543_4_, double p_148543_6_, double p_148543_8_, int p_148543_10_, Packet p_148543_11_)`
    `void` | `setCommandsAllowedForAll(boolean par1)`
    `void` | `setGameType(WorldSettings.GameType par1EnumGameType)`
    `void` | `setPlayerManager(WorldServer[] par1ArrayOfWorldServer)`
    `void` | `setWhiteListEnabled(boolean par1)`
    `void` | `syncPlayerInventory(EntityPlayerMP par1EntityPlayerMP)`
    `void` | `transferEntityToWorld(Entity par1Entity, int par2, WorldServer par3WorldServer, WorldServer par4WorldServer)`
    `void` | `transferEntityToWorld(Entity par1Entity, int par2, WorldServer par3WorldServer, WorldServer par4WorldServer, Teleporter teleporter)`
    `void` | `transferPlayerToDimension(EntityPlayerMP par1EntityPlayerMP, int par2)`
    `void` | `transferPlayerToDimension(EntityPlayerMP par1EntityPlayerMP, int par2, Teleporter teleporter)`
    `void` | `updatePlayerPertinentChunks(EntityPlayerMP par1EntityPlayerMP)`
    `void` | `updateTimeAndWeatherForPlayer(EntityPlayerMP par1EntityPlayerMP, WorldServer par2WorldServer)`
    `protected void` | `writePlayerData(EntityPlayerMP par1EntityPlayerMP)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### playerEntityList

          public final java.util.List playerEntityList

    - #### maxPlayers

          protected int maxPlayers

    - #### viewDistance

          protected int viewDistance

  - ### Constructor Detail

    - #### ServerConfigurationManager

          public ServerConfigurationManager(MinecraftServer par1MinecraftServer)

  - ### Method Detail

    - #### initializeConnectionToPlayer

          public void initializeConnectionToPlayer(NetworkManager par1INetworkManager,
                                          EntityPlayerMP par2EntityPlayerMP,
                                          NetHandlerPlayServer nethandlerplayserver)

    - #### func_96456_a

          protected void func_96456_a(ServerScoreboard par1ServerScoreboard,
                          EntityPlayerMP par2EntityPlayerMP)

    - #### setPlayerManager

          public void setPlayerManager(WorldServer[] par1ArrayOfWorldServer)

    - #### func_72375_a

          public void func_72375_a(EntityPlayerMP par1EntityPlayerMP,
                          WorldServer par2WorldServer)

    - #### getEntityViewDistance

          public int getEntityViewDistance()

    - #### readPlayerDataFromFile

          public NBTTagCompound readPlayerDataFromFile(EntityPlayerMP par1EntityPlayerMP)

    - #### writePlayerData

          protected void writePlayerData(EntityPlayerMP par1EntityPlayerMP)

    - #### playerLoggedIn

          public void playerLoggedIn(EntityPlayerMP par1EntityPlayerMP)

    - #### updatePlayerPertinentChunks

          public void updatePlayerPertinentChunks(EntityPlayerMP par1EntityPlayerMP)

    - #### playerLoggedOut

          public void playerLoggedOut(EntityPlayerMP par1EntityPlayerMP)

    - #### allowUserToConnect

          public java.lang.String allowUserToConnect(java.net.SocketAddress p_148542_1_,
                                            com.mojang.authlib.GameProfile p_148542_2_)

    - #### createPlayerForUser

          public EntityPlayerMP createPlayerForUser(com.mojang.authlib.GameProfile p_148545_1_)

    - #### respawnPlayer

          public EntityPlayerMP respawnPlayer(EntityPlayerMP par1EntityPlayerMP,
                                     int par2,
                                     boolean par3)

    - #### transferPlayerToDimension

          public void transferPlayerToDimension(EntityPlayerMP par1EntityPlayerMP,
                                       int par2)

    - #### transferPlayerToDimension

          public void transferPlayerToDimension(EntityPlayerMP par1EntityPlayerMP,
                                       int par2,
                                       Teleporter teleporter)

    - #### transferEntityToWorld

          public void transferEntityToWorld(Entity par1Entity,
                                   int par2,
                                   WorldServer par3WorldServer,
                                   WorldServer par4WorldServer)

    - #### transferEntityToWorld

          public void transferEntityToWorld(Entity par1Entity,
                                   int par2,
                                   WorldServer par3WorldServer,
                                   WorldServer par4WorldServer,
                                   Teleporter teleporter)

    - #### sendPlayerInfoToAllPlayers

          public void sendPlayerInfoToAllPlayers()

    - #### sendPacketToAllPlayers

          public void sendPacketToAllPlayers(Packet p_148540_1_)

    - #### sendPacketToAllPlayersInDimension

          public void sendPacketToAllPlayersInDimension(Packet p_148537_1_,
                                               int p_148537_2_)

    - #### getPlayerListAsString

          public java.lang.String getPlayerListAsString()

    - #### getAllUsernames

          public java.lang.String[] getAllUsernames()

    - #### getBannedPlayers

          public BanList getBannedPlayers()

    - #### getBannedIPs

          public BanList getBannedIPs()

    - #### addOp

          public void addOp(java.lang.String par1Str)

    - #### removeOp

          public void removeOp(java.lang.String par1Str)

    - #### isAllowedToLogin

          public boolean isAllowedToLogin(java.lang.String par1Str)

    - #### isPlayerOpped

          public boolean isPlayerOpped(java.lang.String par1Str)

    - #### getPlayerForUsername

          public EntityPlayerMP getPlayerForUsername(java.lang.String par1Str)

    - #### findPlayers

          public java.util.List findPlayers(ChunkCoordinates par1ChunkCoordinates,
                                   int par2,
                                   int par3,
                                   int par4,
                                   int par5,
                                   int par6,
                                   int par7,
                                   java.util.Map par8Map,
                                   java.lang.String par9Str,
                                   java.lang.String par10Str,
                                   World par11World)

    - #### sendToAllNear

          public void sendToAllNear(double p_148541_1_,
                           double p_148541_3_,
                           double p_148541_5_,
                           double p_148541_7_,
                           int p_148541_9_,
                           Packet p_148541_10_)

    - #### sendToAllNearExcept

          public void sendToAllNearExcept(EntityPlayer p_148543_1_,
                                 double p_148543_2_,
                                 double p_148543_4_,
                                 double p_148543_6_,
                                 double p_148543_8_,
                                 int p_148543_10_,
                                 Packet p_148543_11_)

    - #### saveAllPlayerData

          public void saveAllPlayerData()

    - #### addToWhiteList

          public void addToWhiteList(java.lang.String par1Str)

    - #### removeFromWhitelist

          public void removeFromWhitelist(java.lang.String par1Str)

    - #### getWhiteListedPlayers

          public java.util.Set getWhiteListedPlayers()

    - #### getOps

          public java.util.Set getOps()

    - #### loadWhiteList

          public void loadWhiteList()

    - #### updateTimeAndWeatherForPlayer

          public void updateTimeAndWeatherForPlayer(EntityPlayerMP par1EntityPlayerMP,
                                           WorldServer par2WorldServer)

    - #### syncPlayerInventory

          public void syncPlayerInventory(EntityPlayerMP par1EntityPlayerMP)

    - #### getCurrentPlayerCount

          public int getCurrentPlayerCount()

    - #### getMaxPlayers

          public int getMaxPlayers()

    - #### getAvailablePlayerDat

          public java.lang.String[] getAvailablePlayerDat()

    - #### setWhiteListEnabled

          public void setWhiteListEnabled(boolean par1)

    - #### getPlayerList

          public java.util.List getPlayerList(java.lang.String par1Str)

    - #### getViewDistance

          public int getViewDistance()

    - #### getServerInstance

          public MinecraftServer getServerInstance()

    - #### getHostPlayerData

          public NBTTagCompound getHostPlayerData()

    - #### setGameType

          public void setGameType(WorldSettings.GameType par1EnumGameType)

    - #### setCommandsAllowedForAll

          public void setCommandsAllowedForAll(boolean par1)

    - #### removeAllPlayers

          public void removeAllPlayers()

    - #### sendChatMsgImpl

          public void sendChatMsgImpl(IChatComponent p_148544_1_,
                             boolean p_148544_2_)

    - #### sendChatMsg

          public void sendChatMsg(IChatComponent p_148539_1_)

    - #### func_148538_i

          public StatisticsFile func_148538_i(java.lang.String p_148538_1_)

    - #### isWhiteListEnabled

          public boolean isWhiteListEnabled()